from string import Template

SPEC_TEMPLATE = Template("""
Name:       $name
Version:    $version
Release:    $release
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org
Source0:    $source0

%description
""")

SPEC_TEMPLATE_WITH_EPOCH = Template("""
Name:       $name
Version:    $version
Release:    $release
Epoch:      $epoch
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org
Source0:    $source0

%description
""")

SPEC_WITH_PATCH_TEMPLATE = Template("""
Name:       $name
Version:    $version
Release:    $release
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org
Source0:    $source0

Patch0:     $patch0

%description
""")

INVALID_SPEC_TEMPLATE = Template("""
Name:       $name
Version:    $version
Release:    $release
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org
""")

NO_SOURCE_ZERO_SPEC_TEMPLATE = Template("""
Name:       $name
Version:    $version
Release:    $release
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org

%description
""")

SPEC_TEMPLATE_WITH_CLOG = Template("""
Name:       $name
Version:    $version
Release:    $release
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org

%description

%changelog
* Wed Mar 13 2019 clime <clime@fedoraproject.org> 0.1-1
- hello world
- how are you
  fine
""")

SPEC_TEMPLATE_WITH_PATCH = Template("""
Name:       $name
Version:    $version
Release:    $release
Summary:    This is a test package.

License:    GPLv2+
URL:        https://someurl.org

Patch: hello.patch

%description
""")
